//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "aboutdlgu.h"
#include "AboutBox.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TAboutBox *)
{
new TAboutBox(NULL);
}
//---------------------------------------------------------------------------
__fastcall TAboutBox::TAboutBox(TComponent* Owner)
: TComponent(Owner)
{
  FProductName = "Product Name";
}
//---------------------------------------------------------------------------
void __fastcall TAboutBox::Execute(void)
{
  TAboutDlg* dlg = new TAboutDlg(this);
  try {
    dlg->ProductName->Caption = FProductName;
    dlg->ShowModal();
  } __finally {
    delete dlg;
  }
}
//---------------------------------------------------------------------------
namespace Aboutbox
{
void __fastcall PACKAGE Register()
{
  TComponentClass classes[1] = {__classid(TAboutBox)};
  RegisterComponents("Lecture", classes, 0);
}
}
//---------------------------------------------------------------------------
