//---------------------------------------------------------------------------
#ifndef FlatEditH
#define FlatEditH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class PACKAGE TFlatEdit : public TEdit
{
private:
  bool FMouseInControl;

  void __fastcall CMMouseEnter(TMessage &Message);
  void __fastcall CMMouseLeave(TMessage &Message);

  void __fastcall WMNCPaint(TWMNCPaint &Message);
protected:
public:
__fastcall TFlatEdit(TComponent* Owner);
__published:
  BEGIN_MESSAGE_MAP
    VCL_MESSAGE_HANDLER(CM_MOUSEENTER, TMessage, CMMouseEnter);
    VCL_MESSAGE_HANDLER(CM_MOUSELEAVE, TMessage, CMMouseLeave);    
    VCL_MESSAGE_HANDLER(WM_NCPAINT, TWMNCPaint, WMNCPaint);
  END_MESSAGE_MAP(TEdit);
};
//---------------------------------------------------------------------------
#endif
