unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, HexEdit;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    A: array[0..200] of Byte;
    FHexEdit: THexEdit;

    procedure HexEditSelection(Sender: TObject; Pos: Integer; var StartPos, len: Integer);
  public
    { Public declarations }
  end;
  
var
  Form1: TForm1;
  
implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  FHexEdit := THexEdit.Create(self);
  with FHexEdit do
  begin
    Parent := Panel1;
    //    Align := alClient;
    Left := 0;
    Top := 0;
    Width := 800;
    Height := 400;
    
    for I := 0 to 200 do
//      A[I] := Ord('0') + I mod 10;
      A[I] := Ord(Random(256));
    
    SetBuffer(@A, 200);
    readonly := False;
    OnGetSelection := HexEditSelection;
    Show;
  end;
end;

procedure TForm1.HexEditSelection(Sender: TObject; Pos: Integer; var StartPos, len: Integer);
begin
  StartPos := Pos;
  len := 3;
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
  FHexEdit.AdjustSize;
end;

end.

