//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "ShellAboutLabel.h"
#include "ShellAPI.hpp"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TShellAboutLabel *)
{
new TShellAboutLabel(NULL);
}
//---------------------------------------------------------------------------
__fastcall TShellAboutLabel::TShellAboutLabel(TComponent* Owner)
: TLabel(Owner)
{
  Caption = "ShellAboutLabel";
  Font->Name = "Times New Roman";
  Font->Size = 16;
  Font->Color = clBlue;
  Font->Style = TFontStyles() << fsItalic << fsUnderline;

  Cursor = crHandPoint;
}
//---------------------------------------------------------------------------
void __fastcall TShellAboutLabel::Click(void)
{
  ShellExecute(NULL, "open", FURL.c_str(), NULL, NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
namespace Shellaboutlabel
{
void __fastcall PACKAGE Register()
{
  TComponentClass classes[1] = {__classid(TShellAboutLabel)};
  RegisterComponents("Lecture", classes, 0);
}
}
//---------------------------------------------------------------------------
