//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "SuperListBox.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TSuperListBox *)
{
new TSuperListBox(NULL);
}
//---------------------------------------------------------------------------
__fastcall TSuperListBox::TSuperListBox(TComponent* Owner)
: TCustomControl(Owner)
{
  Width = 300;
  Height = 220;

  FLbx = new TListBox(this);
  FLbx->Parent = this;
  FLbx->Width = 257;
  FLbx->Height = 145;

  FBtnNew = new TButton(this);
  FBtnNew->Parent = this;
  FBtnNew->Top  = 152;
  FBtnNew->Caption = "sW";
  FBtnNew->OnClick = ButtonsClick;  
  FBtnNew->Tag = 0;

  FBtnModify = new TButton(this);
  FBtnModify->Parent = this;
  FBtnModify->Top  = 152;
  FBtnModify->Left = 88;
  FBtnModify->Caption = "ק";
  FBtnModify->OnClick = ButtonsClick;
  FBtnModify->Tag = 1;

  FBtnDelete = new TButton(this);
  FBtnDelete->Parent = this;
  FBtnDelete->Top  = 152;
  FBtnDelete->Left = 184;
  FBtnDelete->Caption = "R";
  FBtnDelete->OnClick = ButtonsClick;
  FBtnDelete->Tag = 2;

  FBtnUp = new TSpeedButton(this);
  FBtnUp->Parent = this;
  FBtnUp->Top  = 24;
  FBtnUp->Left = 264;
  FBtnUp->Width = 28;
  FBtnUp->Height = 28;
  FBtnUp->Caption = "W";

  FBtnDown = new TSpeedButton(this);
  FBtnDown->Parent = this;
  FBtnDown->Top  = 96;
  FBtnDown->Left = 264;
  FBtnDown->Width = 28;
  FBtnDown->Height = 28;
  FBtnDown->Caption = "U";
}
//---------------------------------------------------------------------------
void __fastcall TSuperListBox::ButtonsClick(TObject *Sender)
{
  AnsiString S;

  switch (dynamic_cast<TComponent*>(Sender)->Tag) {
    case 0: S = "Default Value";
            if (InputQuery(Application->Title, "Please input new item", S))
              FLbx->Items->Add(S);
            break;

    case 1: if (FLbx->ItemIndex < 0) break;
            FLbx->Items->Strings[FLbx->ItemIndex] = InputBox(Application->Title, "Modify item", FLbx->Items->Strings[FLbx->ItemIndex]);
            break;

    case 2: if (FLbx->ItemIndex < 0) break;
            FLbx->Items->Delete(FLbx->ItemIndex);
            break;
  }
}
//---------------------------------------------------------------------------
namespace Superlistbox
{
void __fastcall PACKAGE Register()
{
  TComponentClass classes[1] = {__classid(TSuperListBox)};
  RegisterComponents("Lecture", classes, 0);
}
}
//---------------------------------------------------------------------------
