//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include <limits.h>

#include "WordCount.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TWordCount *)
{
new TWordCount(NULL);
}
//---------------------------------------------------------------------------
__fastcall TWordCount::TWordCount(TComponent* Owner)
: TComponent(Owner)
{
}
//---------------------------------------------------------------------------
int calcwords(AnsiString S)
{
  int i, count = 0;

  while (i = S.Pos(" ")) {
    count++;
    S = S.SubString(i+1, INT_MAX);
  }

  return count;
}
//---------------------------------------------------------------------------
int __fastcall TWordCount::GetCount(void)
{
  TStringList* sl = new TStringList();
  try {
    try {
      sl->LoadFromFile(FFileName);
    } catch (...) {
      return 0;
    }

    int total = 0;
    for (int i = 0; i < sl->Count; i++)
      total += calcwords(sl->Strings[i]);

    return total;
  } __finally {
    delete sl;
  }
}
//---------------------------------------------------------------------------
namespace Wordcount
{
void __fastcall PACKAGE Register()
{
  TComponentClass classes[1] = {__classid(TWordCount)};
  RegisterComponents("Lecture", classes, 0);
}
}
//---------------------------------------------------------------------------
 