//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
#include "Unit1.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall TCalcThread::UpdateCaption()
//      {
//        Form1->Caption = "Updated in a thread";
//      }
//---------------------------------------------------------------------------
__fastcall TCalcThread::TCalcThread(bool CreateSuspended)
: TThread(CreateSuspended)
{
  FreeOnTerminate = true;
}
//---------------------------------------------------------------------------
void __fastcall TCalcThread::Execute()
{
  FResult = 0;
  FStep = 0;

  for (int i = 0; i < 100 && !Terminated; i++) {
    for (int j = 0; j < 100000 && !Terminated; j++)
      FResult += j;

    FStep++;
    Synchronize(UpdateProgressBar);
  }
}
//---------------------------------------------------------------------------
void __fastcall TCalcThread::UpdateProgressBar(void)
{
  Form1->ProgressBar1->Position = FStep;
}
//---------------------------------------------------------------------------
